Download it now!
Bug 55460 - BUGZILLAASSISTANT: Exclude inactive versions from version selector
Summary: BUGZILLAASSISTANT: Exclude inactive versions from version selector
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: high enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-30 06:55 UTC by Rainer Bielefeld Retired
Modified: 2013-08-19 14:12 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-09-30 06:55:41 UTC
Since update to 4.2.3 FDO Bugzilla offers as a new feature to mark LibO Versions as "Inactive". These versions will no longer be shown in the Version selector for submission of new Bug reports, but they are still available in the selector when you edit existing Bugs.

This feature only can be used if we find a way to exclude these Versions from BSA Version selector.

Also for the planned "Automatic Version Recognition" (if reporter uses the "Bug Report" link in LibO help menu) will have to consider that a Version might not be available for Report of new Bugs.

To enable tests I switched LibO version 3.3.0 Beta3 to "inactive"
Comment 1 Rob Snelders 2013-03-18 22:36:24 UTC
needs to be done
Comment 2 beimaginativeegroup 2013-07-09 19:06:07 UTC
I tried to do this, however unfortunately I failed. However, there are some other developers who are working on another route to fix this. Maybe, someone can work on this to fix it via the Bugzilla Database. If someone needs any help on design of the fix, I can help.
Comment 3 Robinson Tryon (qubit) 2013-07-10 20:02:53 UTC
Per discussion with Joel (who has admin rights in Bugzilla), it looks like we may have misunderstood the precise details of this feature.

After some testing, it appears that if we mark a version as 'Inactive', it is no longer available anywhere -- neither on the New Bug page nor when editing existing bug reports.

As a result, this proposed enhancement may be a moot point (at least insofar as trying to implement it from inside a stock, unmodified version of Bugzilla)
Comment 4 beimaginativeegroup 2013-07-16 17:07:19 UTC
I don't understand why this should be debatable as long as bugs which have been previously marked with an Inactive version remain the same. However, if this feature is implemented then the patch is simple provided that you find the line in query.pl where the SQL Query really happens. I did some research and found that this could be fixed by add another WHERE clause: "'is_active' = true". If someone finds the line, I would be more than happy to do the patch.
Comment 5 retired 2013-08-19 14:12:46 UTC
Marking as resolved. From what I can tell this requires no further action currently.

3.3.x have been removed already.

3.3 is the oldest selectable version which is ok. 3.6.7 is the oldest available version at the moment. So allowing users to report 3.3 as the first version a bug appeared sounds sane to my ears.

Let'S rather create a new bug as we move on and should we want to remove 3.3/3.4 and 3.5.

Please re-open should you disagree.